Create Container Description

Create Container Description

Only Solution users, Container admins, and System admins can create ContainerDescriptions.

Request
URI
POST
https://{api_host}/container-service/api/resources/container-descriptions
COPY
Request Body
ContainerDescription of type(s) application/json
Required
{
    "cpuShares": 0,
    "volumesFrom": [
        "string"
    ],
    "memorySwapLimit": 0,
    "deploymentPolicyId": "string",
    "hostname": "string",
    "capAdd": [
        "string"
    ],
    "zoneId": "string",
    "groupLinks": [
        "string"
    ],
    "links": [
        "string"
    ],
    "id": "string",
    "parentDescriptionLink": "string",
    "networkMode": "string",
    "image": "string",
    "dependsOn": [
        "string"
    ],
    "workingDir": "string",
    "dns": [
        "string"
    ],
    "volumes": [
        "string"
    ],
    "privileged": false,
    "_cluster": 0,
    "documentSelfLink": "string",
    "domainName": "string",
    "name": "string",
    "capDrop": [
        "string"
    ],
    "memoryLimit": 0,
    "tenantLinks": [
        "string"
    ],
    "entryPoint": [
        "string"
    ],
    "device": [
        "string"
    ],
    "affinity": [
        "string"
    ],
    "maximumRetryCount": 0,
    "pidMode": "string",
    "pod": "string",
    "instanceAdapterReference": "string",
    "portBindings": [
        {
            "protocol": "string",
            "hostIp": "string",
            "containerPort": "string",
            "hostPort": "string"
        }
    ],
    "extraHosts": [
        "string"
    ],
    "tagLinks": [
        "string"
    ],
    "logConfig": {
        "type": "string"
    },
    "documentExpirationTimeMicros": "string",
    "volumeDriver": "string",
    "imageReference": "string",
    "env": [
        "string"
    ],
    "restartPolicy": "string",
    "command": [
        "string"
    ],
    "documentUpdateTimeMicros": "string",
    "healthConfig": {
        "ignoreOnProvision": false,
        "protocol": "string",
        "httpVersion": "string",
        "port": 0,
        "autoredeploy": false,
        "unhealthyThreshold": 0,
        "timeoutMillis": 0,
        "healthyThreshold": 0,
        "httpMethod": "string",
        "urlPath": "string",
        "command": "string"
    },
    "dnsSearch": [
        "string"
    ],
    "publishAll": false,
    "user": "string"
}
integer As int32 As int32
cpuShares
Optional

cpuShares

array of string
volumesFrom
Optional

volumesFrom

integer As int32 As int32
memorySwapLimit
Optional

memorySwapLimit

string
deploymentPolicyId
Optional

deploymentPolicyId

string
hostname
Optional

hostname

array of string
capAdd
Optional

capAdd

string
zoneId
Optional

zoneId

array of string
groupLinks
Optional

groupLinks

array of string
links
Optional

links

string
id
Optional

id

string
parentDescriptionLink
Optional

parentDescriptionLink

string
networkMode
Optional

networkMode

string
image
Optional

image

array of string
dependsOn
Optional

dependsOn

string
workingDir
Optional

workingDir

array of string
dns
Optional

dns

array of string
volumes
Optional

volumes

boolean
privileged
Optional

privileged

integer As int32 As int32
_cluster
Optional

_cluster

object
customProperties
Optional

customProperties

string
documentSelfLink
Optional

documentSelfLink

string
domainName
Optional

domainName

string
name
Optional

name

array of string
capDrop
Optional

capDrop

integer As int32 As int32
memoryLimit
Optional

memoryLimit

array of string
tenantLinks
Optional

tenantLinks

array of string
entryPoint
Optional

entryPoint

array of string
device
Optional

device

array of string
affinity
Optional

affinity

integer As int32 As int32
maximumRetryCount
Optional

maximumRetryCount

string
pidMode
Optional

pidMode

string
pod
Optional

pod

object
networks
Optional

networks

string As uri As uri
instanceAdapterReference
Optional

instanceAdapterReference

array of PortBinding
portBindings
Optional

portBindings

array of string
extraHosts
Optional

extraHosts

array of string
tagLinks
Optional

tagLinks

logConfig
Optional

logConfig

string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
volumeDriver
Optional

volumeDriver

string As uri As uri
imageReference
Optional

imageReference

array of string
env
Optional

env

string
restartPolicy
Optional

restartPolicy

array of string
command
Optional

command

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

healthConfig
Optional

healthConfig

array of string
dnsSearch
Optional

dnsSearch

boolean
publishAll
Optional

publishAll

string
user
Optional

user

Responses
200

successful operation

Returns ContainerDescription of type(s) */*
{
    "cpuShares": 0,
    "volumesFrom": [
        "string"
    ],
    "memorySwapLimit": 0,
    "deploymentPolicyId": "string",
    "hostname": "string",
    "capAdd": [
        "string"
    ],
    "zoneId": "string",
    "groupLinks": [
        "string"
    ],
    "links": [
        "string"
    ],
    "id": "string",
    "parentDescriptionLink": "string",
    "networkMode": "string",
    "image": "string",
    "dependsOn": [
        "string"
    ],
    "workingDir": "string",
    "dns": [
        "string"
    ],
    "volumes": [
        "string"
    ],
    "privileged": false,
    "_cluster": 0,
    "documentSelfLink": "string",
    "domainName": "string",
    "name": "string",
    "capDrop": [
        "string"
    ],
    "memoryLimit": 0,
    "tenantLinks": [
        "string"
    ],
    "entryPoint": [
        "string"
    ],
    "device": [
        "string"
    ],
    "affinity": [
        "string"
    ],
    "maximumRetryCount": 0,
    "pidMode": "string",
    "pod": "string",
    "instanceAdapterReference": "string",
    "portBindings": [
        {
            "protocol": "string",
            "hostIp": "string",
            "containerPort": "string",
            "hostPort": "string"
        }
    ],
    "extraHosts": [
        "string"
    ],
    "tagLinks": [
        "string"
    ],
    "logConfig": {
        "type": "string"
    },
    "documentExpirationTimeMicros": "string",
    "volumeDriver": "string",
    "imageReference": "string",
    "env": [
        "string"
    ],
    "restartPolicy": "string",
    "command": [
        "string"
    ],
    "documentUpdateTimeMicros": "string",
    "healthConfig": {
        "ignoreOnProvision": false,
        "protocol": "string",
        "httpVersion": "string",
        "port": 0,
        "autoredeploy": false,
        "unhealthyThreshold": 0,
        "timeoutMillis": 0,
        "healthyThreshold": 0,
        "httpMethod": "string",
        "urlPath": "string",
        "command": "string"
    },
    "dnsSearch": [
        "string"
    ],
    "publishAll": false,
    "user": "string"
}
integer As int32 As int32
cpuShares
Optional

cpuShares

array of string
volumesFrom
Optional

volumesFrom

integer As int32 As int32
memorySwapLimit
Optional

memorySwapLimit

string
deploymentPolicyId
Optional

deploymentPolicyId

string
hostname
Optional

hostname

array of string
capAdd
Optional

capAdd

string
zoneId
Optional

zoneId

array of string
groupLinks
Optional

groupLinks

array of string
links
Optional

links

string
id
Optional

id

string
parentDescriptionLink
Optional

parentDescriptionLink

string
networkMode
Optional

networkMode

string
image
Optional

image

array of string
dependsOn
Optional

dependsOn

string
workingDir
Optional

workingDir

array of string
dns
Optional

dns

array of string
volumes
Optional

volumes

boolean
privileged
Optional

privileged

integer As int32 As int32
_cluster
Optional

_cluster

object
customProperties
Optional

customProperties

string
documentSelfLink
Optional

documentSelfLink

string
domainName
Optional

domainName

string
name
Optional

name

array of string
capDrop
Optional

capDrop

integer As int32 As int32
memoryLimit
Optional

memoryLimit

array of string
tenantLinks
Optional

tenantLinks

array of string
entryPoint
Optional

entryPoint

array of string
device
Optional

device

array of string
affinity
Optional

affinity

integer As int32 As int32
maximumRetryCount
Optional

maximumRetryCount

string
pidMode
Optional

pidMode

string
pod
Optional

pod

object
networks
Optional

networks

string As uri As uri
instanceAdapterReference
Optional

instanceAdapterReference

array of PortBinding
portBindings
Optional

portBindings

array of string
extraHosts
Optional

extraHosts

array of string
tagLinks
Optional

tagLinks

logConfig
Optional

logConfig

string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
volumeDriver
Optional

volumeDriver

string As uri As uri
imageReference
Optional

imageReference

array of string
env
Optional

env

string
restartPolicy
Optional

restartPolicy

array of string
command
Optional

command

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

healthConfig
Optional

healthConfig

array of string
dnsSearch
Optional

dnsSearch

boolean
publishAll
Optional

publishAll

string
user
Optional

user


201

'Created' is returned for the new state with the state url in the location header of the response;

Operation doesn't return any data structure

Create Operations
POST
Create Auth Credentials Service State
POST
Create Closure Description
POST
Create Closure State
POST
Create Composite Component
POST
Create Composite Description
POST
Create Compute Description
POST
Create Compute Network
POST
Create Compute Network Description
POST
Create Compute Profile
POST
Create Compute State
POST
Create Configuration State
POST
Create Container Description
POST
Create Container Network Description
POST
Create Container Network State
POST
Create Container State
POST
Create Container Type
POST
Create Container Volume Description
POST
Create Container Volume State
POST
Create Deployment Policy
POST
Create Disk State
POST
Create Elastic Placement Zone Configuration State
POST
Create Elastic Placement Zone State
POST
Create Endpoint State
POST
Create Event Log State
POST
Create Group Resource Placement State
POST
Create Image Enumeration Task State
POST
Create Image State
POST
Create Network Interface Description
POST
Create Network Interface State
POST
Create Network Profile
POST
Create Network State
PUT
Create Or Update Container Type
POST
Create Profile State
POST
Create Registry State
POST
Create Request Broker State
POST
Create Resource Group State
POST
Create Resource Pool State
POST
Create Service Document Delete Task State
POST
Create Ssl Trust Certificate State
POST
Create Ssl Trusted Certificate State
POST
Create Storage Profile
POST
Create Subnet State
POST
Create Tag Assignment Request
POST
Create Tag State